### Method

# Gio SimpleProxyResolver set_default_proxy

since: 2.36

#### Declaration [src]

    void
    g_simple_proxy_resolver_set_default_proxy (
      GSimpleProxyResolver* resolver,
      const gchar* default_proxy
    )

#### Description [src]

Sets the default proxy on `resolver`, to be used for any URIs that don’t match `GSimpleProxyResolver:ignore-hosts` or a proxy set via g_simple_proxy_resolver_set_uri_proxy().

If `default_proxy` starts with “socks://”, `GSimpleProxyResolver` will treat it as referring to all three of the socks5, socks4a, and socks4 proxy types.

Available since: 2.36

Sets property | `Gio.SimpleProxyResolver:default-proxy`

#### Parameters

`default_proxy`

  Type: `const gchar*`

  The default proxy to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.